import {create} from 'zustand'
import {Connection} from "../interfaces/connection";
import {Dial} from "../api";

type StoreConnection = {
    conn_list: Connection[]
    get_conn: () => void
}

export const useStoreConnection = create<StoreConnection>()((set) => ({
    conn_list: [],
    get_conn: async () => {
        const res = await Dial<{list: Connection[]}>('/api/connection/list');
        set({conn_list: res.data.list})
    }
}))
